Lucene search

K
suseSuseOPENSUSE-SU-2020:0381-1
HistoryMar 25, 2020 - 12:00 a.m.

Security update for glibc (moderate)

2020-03-2500:00:00
lists.opensuse.org
54

0.001 Low

EPSS

Percentile

27.1%

An update that solves one vulnerability and has two fixes
is now available.

Description:

This update for glibc fixes the following issues:

  • CVE-2020-10029: Fixed a potential overflow in on-stack buffer during
    range reduction (bsc#1165784).
  • Fixed an issue where pthread were not always locked correctly
    (bsc#1164505).
  • Document mprotect and introduce section on memory protection
    (bsc#1163184).

This update was imported from the SUSE:SLE-15:Update update project.

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or “zypper patch”.

Alternatively you can run the command listed for your product:

  • openSUSE Leap 15.1:

    zypper in -t patch openSUSE-2020-381=1